TDatabaseConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TDatabaseConfig

- java.lang.Object
- - com.sleepycat.thrift.TDatabaseConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDatabaseConfig>, org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TDatabaseConfig
      extends java.lang.Object
      implements org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDatabaseConfig>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TDatabaseConfig._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowCreate`
    `int` | `blobThreshold`
    `int` | `btreeMinKey`
    `boolean` | `btreeRecordNumbers`
    `boolean` | `checksum`
    `boolean` | `exclusiveCreate`
    `int` | `hashFillFactor`
    `int` | `hashNumElements`
    `int` | `heapRegionSize`
    `long` | `heapsize`
    `static java.util.Map<TDatabaseConfig._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `boolean` | `multiversion`
    `boolean` | `noWaitDbExclusiveLock`
    `int` | `pageSize`
    `TCachePriority` | `priority`
    `int` | `queueExtentSize`
    `boolean` | `queueInOrder`
    `boolean` | `readOnly`
    `boolean` | `readUncommitted`
    `int` | `recordLength`
    `int` | `recordPad`
    `boolean` | `renumbering`
    `boolean` | `reverseSplitOff`
    `boolean` | `sortedDuplicates`
    `boolean` | `transactionNotDurable`
    `TDatabaseType` | `type`
    `boolean` | `unsortedDuplicates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TDatabaseConfig()`
    `TDatabaseConfig(TDatabaseConfig other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TDatabaseConfig other)`
    `TDatabaseConfig` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TDatabaseConfig that)`
    `TDatabaseConfig._Fields` | `fieldForId(int fieldId)`
    `int` | `getBlobThreshold()`
    `int` | `getBtreeMinKey()`
    `java.lang.Object` | `getFieldValue(TDatabaseConfig._Fields field)`
    `int` | `getHashFillFactor()`
    `int` | `getHashNumElements()`
    `int` | `getHeapRegionSize()`
    `long` | `getHeapsize()`
    `int` | `getPageSize()`
    `TCachePriority` | `getPriority()`
    `int` | `getQueueExtentSize()`
    `int` | `getRecordLength()`
    `int` | `getRecordPad()`
    `TDatabaseType` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isAllowCreate()`
    `boolean` | `isBtreeRecordNumbers()`
    `boolean` | `isChecksum()`
    `boolean` | `isExclusiveCreate()`
    `boolean` | `isMultiversion()`
    `boolean` | `isNoWaitDbExclusiveLock()`
    `boolean` | `isQueueInOrder()`
    `boolean` | `isReadOnly()`
    `boolean` | `isReadUncommitted()`
    `boolean` | `isRenumbering()`
    `boolean` | `isReverseSplitOff()`
    `boolean` | `isSet(TDatabaseConfig._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAllowCreate()` Returns true if field allowCreate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBlobThreshold()` Returns true if field blobThreshold is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBtreeMinKey()` Returns true if field btreeMinKey is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBtreeRecordNumbers()` Returns true if field btreeRecordNumbers is set (has been assigned a value) and false otherwise
    `boolean` | `isSetChecksum()` Returns true if field checksum is set (has been assigned a value) and false otherwise
    `boolean` | `isSetExclusiveCreate()` Returns true if field exclusiveCreate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHashFillFactor()` Returns true if field hashFillFactor is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHashNumElements()` Returns true if field hashNumElements is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapRegionSize()` Returns true if field heapRegionSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapsize()` Returns true if field heapsize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMultiversion()` Returns true if field multiversion is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNoWaitDbExclusiveLock()` Returns true if field noWaitDbExclusiveLock is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageSize()` Returns true if field pageSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPriority()` Returns true if field priority is set (has been assigned a value) and false otherwise
    `boolean` | `isSetQueueExtentSize()` Returns true if field queueExtentSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetQueueInOrder()` Returns true if field queueInOrder is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReadOnly()` Returns true if field readOnly is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReadUncommitted()` Returns true if field readUncommitted is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRecordLength()` Returns true if field recordLength is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRecordPad()` Returns true if field recordPad is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRenumbering()` Returns true if field renumbering is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReverseSplitOff()` Returns true if field reverseSplitOff is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSortedDuplicates()` Returns true if field sortedDuplicates is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTransactionNotDurable()` Returns true if field transactionNotDurable is set (has been assigned a value) and false otherwise
    `boolean` | `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
    `boolean` | `isSetUnsortedDuplicates()` Returns true if field unsortedDuplicates is set (has been assigned a value) and false otherwise
    `boolean` | `isSortedDuplicates()`
    `boolean` | `isTransactionNotDurable()`
    `boolean` | `isUnsortedDuplicates()`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TDatabaseConfig` | `setAllowCreate(boolean allowCreate)`
    `void` | `setAllowCreateIsSet(boolean value)`
    `TDatabaseConfig` | `setBlobThreshold(int blobThreshold)`
    `void` | `setBlobThresholdIsSet(boolean value)`
    `TDatabaseConfig` | `setBtreeMinKey(int btreeMinKey)`
    `void` | `setBtreeMinKeyIsSet(boolean value)`
    `TDatabaseConfig` | `setBtreeRecordNumbers(boolean btreeRecordNumbers)`
    `void` | `setBtreeRecordNumbersIsSet(boolean value)`
    `TDatabaseConfig` | `setChecksum(boolean checksum)`
    `void` | `setChecksumIsSet(boolean value)`
    `TDatabaseConfig` | `setExclusiveCreate(boolean exclusiveCreate)`
    `void` | `setExclusiveCreateIsSet(boolean value)`
    `void` | `setFieldValue(TDatabaseConfig._Fields field, java.lang.Object value)`
    `TDatabaseConfig` | `setHashFillFactor(int hashFillFactor)`
    `void` | `setHashFillFactorIsSet(boolean value)`
    `TDatabaseConfig` | `setHashNumElements(int hashNumElements)`
    `void` | `setHashNumElementsIsSet(boolean value)`
    `TDatabaseConfig` | `setHeapRegionSize(int heapRegionSize)`
    `void` | `setHeapRegionSizeIsSet(boolean value)`
    `TDatabaseConfig` | `setHeapsize(long heapsize)`
    `void` | `setHeapsizeIsSet(boolean value)`
    `TDatabaseConfig` | `setMultiversion(boolean multiversion)`
    `void` | `setMultiversionIsSet(boolean value)`
    `TDatabaseConfig` | `setNoWaitDbExclusiveLock(boolean noWaitDbExclusiveLock)`
    `void` | `setNoWaitDbExclusiveLockIsSet(boolean value)`
    `TDatabaseConfig` | `setPageSize(int pageSize)`
    `void` | `setPageSizeIsSet(boolean value)`
    `TDatabaseConfig` | `setPriority(TCachePriority priority)`
    `void` | `setPriorityIsSet(boolean value)`
    `TDatabaseConfig` | `setQueueExtentSize(int queueExtentSize)`
    `void` | `setQueueExtentSizeIsSet(boolean value)`
    `TDatabaseConfig` | `setQueueInOrder(boolean queueInOrder)`
    `void` | `setQueueInOrderIsSet(boolean value)`
    `TDatabaseConfig` | `setReadOnly(boolean readOnly)`
    `void` | `setReadOnlyIsSet(boolean value)`
    `TDatabaseConfig` | `setReadUncommitted(boolean readUncommitted)`
    `void` | `setReadUncommittedIsSet(boolean value)`
    `TDatabaseConfig` | `setRecordLength(int recordLength)`
    `void` | `setRecordLengthIsSet(boolean value)`
    `TDatabaseConfig` | `setRecordPad(int recordPad)`
    `void` | `setRecordPadIsSet(boolean value)`
    `TDatabaseConfig` | `setRenumbering(boolean renumbering)`
    `void` | `setRenumberingIsSet(boolean value)`
    `TDatabaseConfig` | `setReverseSplitOff(boolean reverseSplitOff)`
    `void` | `setReverseSplitOffIsSet(boolean value)`
    `TDatabaseConfig` | `setSortedDuplicates(boolean sortedDuplicates)`
    `void` | `setSortedDuplicatesIsSet(boolean value)`
    `TDatabaseConfig` | `setTransactionNotDurable(boolean transactionNotDurable)`
    `void` | `setTransactionNotDurableIsSet(boolean value)`
    `TDatabaseConfig` | `setType(TDatabaseType type)`
    `void` | `setTypeIsSet(boolean value)`
    `TDatabaseConfig` | `setUnsortedDuplicates(boolean unsortedDuplicates)`
    `void` | `setUnsortedDuplicatesIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetAllowCreate()`
    `void` | `unsetBlobThreshold()`
    `void` | `unsetBtreeMinKey()`
    `void` | `unsetBtreeRecordNumbers()`
    `void` | `unsetChecksum()`
    `void` | `unsetExclusiveCreate()`
    `void` | `unsetHashFillFactor()`
    `void` | `unsetHashNumElements()`
    `void` | `unsetHeapRegionSize()`
    `void` | `unsetHeapsize()`
    `void` | `unsetMultiversion()`
    `void` | `unsetNoWaitDbExclusiveLock()`
    `void` | `unsetPageSize()`
    `void` | `unsetPriority()`
    `void` | `unsetQueueExtentSize()`
    `void` | `unsetQueueInOrder()`
    `void` | `unsetReadOnly()`
    `void` | `unsetReadUncommitted()`
    `void` | `unsetRecordLength()`
    `void` | `unsetRecordPad()`
    `void` | `unsetRenumbering()`
    `void` | `unsetReverseSplitOff()`
    `void` | `unsetSortedDuplicates()`
    `void` | `unsetTransactionNotDurable()`
    `void` | `unsetType()`
    `void` | `unsetUnsortedDuplicates()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### allowCreate

          public boolean allowCreate

    - #### blobThreshold

          public int blobThreshold

    - #### btreeMinKey

          public int btreeMinKey

    - #### btreeRecordNumbers

          public boolean btreeRecordNumbers

    - #### checksum

          public boolean checksum

    - #### exclusiveCreate

          public boolean exclusiveCreate

    - #### hashFillFactor

          public int hashFillFactor

    - #### hashNumElements

          public int hashNumElements

    - #### heapRegionSize

          public int heapRegionSize

    - #### heapsize

          public long heapsize

    - #### multiversion

          public boolean multiversion

    - #### noWaitDbExclusiveLock

          public boolean noWaitDbExclusiveLock

    - #### pageSize

          public int pageSize

    - #### priority

          public TCachePriority priority

      See Also:
        `TCachePriority`

    - #### queueExtentSize

          public int queueExtentSize

    - #### queueInOrder

          public boolean queueInOrder

    - #### readOnly

          public boolean readOnly

    - #### readUncommitted

          public boolean readUncommitted

    - #### recordLength

          public int recordLength

    - #### recordPad

          public int recordPad

    - #### renumbering

          public boolean renumbering

    - #### reverseSplitOff

          public boolean reverseSplitOff

    - #### sortedDuplicates

          public boolean sortedDuplicates

    - #### transactionNotDurable

          public boolean transactionNotDurable

    - #### type

          public TDatabaseType type

      See Also:
        `TDatabaseType`

    - #### unsortedDuplicates

          public boolean unsortedDuplicates

    - #### metaDataMap

          public static final java.util.Map<TDatabaseConfig._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TDatabaseConfig

          public TDatabaseConfig()

    - #### TDatabaseConfig

          public TDatabaseConfig(TDatabaseConfig other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TDatabaseConfig deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>`

    - #### isAllowCreate

          public boolean isAllowCreate()

    - #### setAllowCreate

          public TDatabaseConfig setAllowCreate(boolean allowCreate)

    - #### unsetAllowCreate

          public void unsetAllowCreate()

    - #### isSetAllowCreate

          public boolean isSetAllowCreate()

      Returns true if field allowCreate is set (has been assigned a value) and false otherwise

    - #### setAllowCreateIsSet

          public void setAllowCreateIsSet(boolean value)

    - #### getBlobThreshold

          public int getBlobThreshold()

    - #### setBlobThreshold

          public TDatabaseConfig setBlobThreshold(int blobThreshold)

    - #### unsetBlobThreshold

          public void unsetBlobThreshold()

    - #### isSetBlobThreshold

          public boolean isSetBlobThreshold()

      Returns true if field blobThreshold is set (has been assigned a value) and false otherwise

    - #### setBlobThresholdIsSet

          public void setBlobThresholdIsSet(boolean value)

    - #### getBtreeMinKey

          public int getBtreeMinKey()

    - #### setBtreeMinKey

          public TDatabaseConfig setBtreeMinKey(int btreeMinKey)

    - #### unsetBtreeMinKey

          public void unsetBtreeMinKey()

    - #### isSetBtreeMinKey

          public boolean isSetBtreeMinKey()

      Returns true if field btreeMinKey is set (has been assigned a value) and false otherwise

    - #### setBtreeMinKeyIsSet

          public void setBtreeMinKeyIsSet(boolean value)

    - #### isBtreeRecordNumbers

          public boolean isBtreeRecordNumbers()

    - #### setBtreeRecordNumbers

          public TDatabaseConfig setBtreeRecordNumbers(boolean btreeRecordNumbers)

    - #### unsetBtreeRecordNumbers

          public void unsetBtreeRecordNumbers()

    - #### isSetBtreeRecordNumbers

          public boolean isSetBtreeRecordNumbers()

      Returns true if field btreeRecordNumbers is set (has been assigned a value) and false otherwise

    - #### setBtreeRecordNumbersIsSet

          public void setBtreeRecordNumbersIsSet(boolean value)

    - #### isChecksum

          public boolean isChecksum()

    - #### setChecksum

          public TDatabaseConfig setChecksum(boolean checksum)

    - #### unsetChecksum

          public void unsetChecksum()

    - #### isSetChecksum

          public boolean isSetChecksum()

      Returns true if field checksum is set (has been assigned a value) and false otherwise

    - #### setChecksumIsSet

          public void setChecksumIsSet(boolean value)

    - #### isExclusiveCreate

          public boolean isExclusiveCreate()

    - #### setExclusiveCreate

          public TDatabaseConfig setExclusiveCreate(boolean exclusiveCreate)

    - #### unsetExclusiveCreate

          public void unsetExclusiveCreate()

    - #### isSetExclusiveCreate

          public boolean isSetExclusiveCreate()

      Returns true if field exclusiveCreate is set (has been assigned a value) and false otherwise

    - #### setExclusiveCreateIsSet

          public void setExclusiveCreateIsSet(boolean value)

    - #### getHashFillFactor

          public int getHashFillFactor()

    - #### setHashFillFactor

          public TDatabaseConfig setHashFillFactor(int hashFillFactor)

    - #### unsetHashFillFactor

          public void unsetHashFillFactor()

    - #### isSetHashFillFactor

          public boolean isSetHashFillFactor()

      Returns true if field hashFillFactor is set (has been assigned a value) and false otherwise

    - #### setHashFillFactorIsSet

          public void setHashFillFactorIsSet(boolean value)

    - #### getHashNumElements

          public int getHashNumElements()

    - #### setHashNumElements

          public TDatabaseConfig setHashNumElements(int hashNumElements)

    - #### unsetHashNumElements

          public void unsetHashNumElements()

    - #### isSetHashNumElements

          public boolean isSetHashNumElements()

      Returns true if field hashNumElements is set (has been assigned a value) and false otherwise

    - #### setHashNumElementsIsSet

          public void setHashNumElementsIsSet(boolean value)

    - #### getHeapRegionSize

          public int getHeapRegionSize()

    - #### setHeapRegionSize

          public TDatabaseConfig setHeapRegionSize(int heapRegionSize)

    - #### unsetHeapRegionSize

          public void unsetHeapRegionSize()

    - #### isSetHeapRegionSize

          public boolean isSetHeapRegionSize()

      Returns true if field heapRegionSize is set (has been assigned a value) and false otherwise

    - #### setHeapRegionSizeIsSet

          public void setHeapRegionSizeIsSet(boolean value)

    - #### getHeapsize

          public long getHeapsize()

    - #### setHeapsize

          public TDatabaseConfig setHeapsize(long heapsize)

    - #### unsetHeapsize

          public void unsetHeapsize()

    - #### isSetHeapsize

          public boolean isSetHeapsize()

      Returns true if field heapsize is set (has been assigned a value) and false otherwise

    - #### setHeapsizeIsSet

          public void setHeapsizeIsSet(boolean value)

    - #### isMultiversion

          public boolean isMultiversion()

    - #### setMultiversion

          public TDatabaseConfig setMultiversion(boolean multiversion)

    - #### unsetMultiversion

          public void unsetMultiversion()

    - #### isSetMultiversion

          public boolean isSetMultiversion()

      Returns true if field multiversion is set (has been assigned a value) and false otherwise

    - #### setMultiversionIsSet

          public void setMultiversionIsSet(boolean value)

    - #### isNoWaitDbExclusiveLock

          public boolean isNoWaitDbExclusiveLock()

    - #### setNoWaitDbExclusiveLock

          public TDatabaseConfig setNoWaitDbExclusiveLock(boolean noWaitDbExclusiveLock)

    - #### unsetNoWaitDbExclusiveLock

          public void unsetNoWaitDbExclusiveLock()

    - #### isSetNoWaitDbExclusiveLock

          public boolean isSetNoWaitDbExclusiveLock()

      Returns true if field noWaitDbExclusiveLock is set (has been assigned a value) and false otherwise

    - #### setNoWaitDbExclusiveLockIsSet

          public void setNoWaitDbExclusiveLockIsSet(boolean value)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public TDatabaseConfig setPageSize(int pageSize)

    - #### unsetPageSize

          public void unsetPageSize()

    - #### isSetPageSize

          public boolean isSetPageSize()

      Returns true if field pageSize is set (has been assigned a value) and false otherwise

    - #### setPageSizeIsSet

          public void setPageSizeIsSet(boolean value)

    - #### getPriority

          public TCachePriority getPriority()

      See Also:
        `TCachePriority`

    - #### setPriority

          public TDatabaseConfig setPriority(TCachePriority priority)

      See Also:
        `TCachePriority`

    - #### unsetPriority

          public void unsetPriority()

    - #### isSetPriority

          public boolean isSetPriority()

      Returns true if field priority is set (has been assigned a value) and false otherwise

    - #### setPriorityIsSet

          public void setPriorityIsSet(boolean value)

    - #### getQueueExtentSize

          public int getQueueExtentSize()

    - #### setQueueExtentSize

          public TDatabaseConfig setQueueExtentSize(int queueExtentSize)

    - #### unsetQueueExtentSize

          public void unsetQueueExtentSize()

    - #### isSetQueueExtentSize

          public boolean isSetQueueExtentSize()

      Returns true if field queueExtentSize is set (has been assigned a value) and false otherwise

    - #### setQueueExtentSizeIsSet

          public void setQueueExtentSizeIsSet(boolean value)

    - #### isQueueInOrder

          public boolean isQueueInOrder()

    - #### setQueueInOrder

          public TDatabaseConfig setQueueInOrder(boolean queueInOrder)

    - #### unsetQueueInOrder

          public void unsetQueueInOrder()

    - #### isSetQueueInOrder

          public boolean isSetQueueInOrder()

      Returns true if field queueInOrder is set (has been assigned a value) and false otherwise

    - #### setQueueInOrderIsSet

          public void setQueueInOrderIsSet(boolean value)

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public TDatabaseConfig setReadOnly(boolean readOnly)

    - #### unsetReadOnly

          public void unsetReadOnly()

    - #### isSetReadOnly

          public boolean isSetReadOnly()

      Returns true if field readOnly is set (has been assigned a value) and false otherwise

    - #### setReadOnlyIsSet

          public void setReadOnlyIsSet(boolean value)

    - #### isReadUncommitted

          public boolean isReadUncommitted()

    - #### setReadUncommitted

          public TDatabaseConfig setReadUncommitted(boolean readUncommitted)

    - #### unsetReadUncommitted

          public void unsetReadUncommitted()

    - #### isSetReadUncommitted

          public boolean isSetReadUncommitted()

      Returns true if field readUncommitted is set (has been assigned a value) and false otherwise

    - #### setReadUncommittedIsSet

          public void setReadUncommittedIsSet(boolean value)

    - #### getRecordLength

          public int getRecordLength()

    - #### setRecordLength

          public TDatabaseConfig setRecordLength(int recordLength)

    - #### unsetRecordLength

          public void unsetRecordLength()

    - #### isSetRecordLength

          public boolean isSetRecordLength()

      Returns true if field recordLength is set (has been assigned a value) and false otherwise

    - #### setRecordLengthIsSet

          public void setRecordLengthIsSet(boolean value)

    - #### getRecordPad

          public int getRecordPad()

    - #### setRecordPad

          public TDatabaseConfig setRecordPad(int recordPad)

    - #### unsetRecordPad

          public void unsetRecordPad()

    - #### isSetRecordPad

          public boolean isSetRecordPad()

      Returns true if field recordPad is set (has been assigned a value) and false otherwise

    - #### setRecordPadIsSet

          public void setRecordPadIsSet(boolean value)

    - #### isRenumbering

          public boolean isRenumbering()

    - #### setRenumbering

          public TDatabaseConfig setRenumbering(boolean renumbering)

    - #### unsetRenumbering

          public void unsetRenumbering()

    - #### isSetRenumbering

          public boolean isSetRenumbering()

      Returns true if field renumbering is set (has been assigned a value) and false otherwise

    - #### setRenumberingIsSet

          public void setRenumberingIsSet(boolean value)

    - #### isReverseSplitOff

          public boolean isReverseSplitOff()

    - #### setReverseSplitOff

          public TDatabaseConfig setReverseSplitOff(boolean reverseSplitOff)

    - #### unsetReverseSplitOff

          public void unsetReverseSplitOff()

    - #### isSetReverseSplitOff

          public boolean isSetReverseSplitOff()

      Returns true if field reverseSplitOff is set (has been assigned a value) and false otherwise

    - #### setReverseSplitOffIsSet

          public void setReverseSplitOffIsSet(boolean value)

    - #### isSortedDuplicates

          public boolean isSortedDuplicates()

    - #### setSortedDuplicates

          public TDatabaseConfig setSortedDuplicates(boolean sortedDuplicates)

    - #### unsetSortedDuplicates

          public void unsetSortedDuplicates()

    - #### isSetSortedDuplicates

          public boolean isSetSortedDuplicates()

      Returns true if field sortedDuplicates is set (has been assigned a value) and false otherwise

    - #### setSortedDuplicatesIsSet

          public void setSortedDuplicatesIsSet(boolean value)

    - #### isTransactionNotDurable

          public boolean isTransactionNotDurable()

    - #### setTransactionNotDurable

          public TDatabaseConfig setTransactionNotDurable(boolean transactionNotDurable)

    - #### unsetTransactionNotDurable

          public void unsetTransactionNotDurable()

    - #### isSetTransactionNotDurable

          public boolean isSetTransactionNotDurable()

      Returns true if field transactionNotDurable is set (has been assigned a value) and false otherwise

    - #### setTransactionNotDurableIsSet

          public void setTransactionNotDurableIsSet(boolean value)

    - #### getType

          public TDatabaseType getType()

      See Also:
        `TDatabaseType`

    - #### setType

          public TDatabaseConfig setType(TDatabaseType type)

      See Also:
        `TDatabaseType`

    - #### unsetType

          public void unsetType()

    - #### isSetType

          public boolean isSetType()

      Returns true if field type is set (has been assigned a value) and false otherwise

    - #### setTypeIsSet

          public void setTypeIsSet(boolean value)

    - #### isUnsortedDuplicates

          public boolean isUnsortedDuplicates()

    - #### setUnsortedDuplicates

          public TDatabaseConfig setUnsortedDuplicates(boolean unsortedDuplicates)

    - #### unsetUnsortedDuplicates

          public void unsetUnsortedDuplicates()

    - #### isSetUnsortedDuplicates

          public boolean isSetUnsortedDuplicates()

      Returns true if field unsortedDuplicates is set (has been assigned a value) and false otherwise

    - #### setUnsortedDuplicatesIsSet

          public void setUnsortedDuplicatesIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TDatabaseConfig._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TDatabaseConfig._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>`

    - #### isSet

          public boolean isSet(TDatabaseConfig._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TDatabaseConfig that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TDatabaseConfig other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TDatabaseConfig>`

    - #### fieldForId

          public TDatabaseConfig._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TDatabaseConfig,TDatabaseConfig._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.